MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028945Open CASCADE[OCCT] OCCT:Visualizationpublic2017-07-25 10:412017-09-29 16:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028945: Visualization - StdPrs_ToolTriangulatedShape::ComputeNormals() is extremely slow for triangulation-only surface
DescriptionStdPrs_ToolTriangulatedShape::ComputeNormals() reconstructs nodal Normals for triangulation-only surfaces using Poly_Connect tool. Calling this method for big triangulation (e.g. 18M triangles) hangs application for a very long time (like it is actually hanging).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028630closedbugmaster Visualization, StdPrs_ShadedShape - do not create Poly_Connect without need 

-  Notes
(0068679)
git (administrator)
2017-07-25 15:51

Branch CR28945 has been created by kgv.

SHA-1: 2fd83f6cbc3816716d1b52d16b0406cb8b63ef86


Detailed log of new commits:

Author: kgv
Date: Tue Jul 25 15:49:53 2017 +0300

    0028945: Visualization - StdPrs_ToolTriangulatedShape::ComputeNormals() is extremely slow for triangulation-only surface
    
    StdPrs_ToolTriangulatedShape::ComputeNormals() now calls Poly::ComputeNormals() for triangulation-only surfaces.
    Poly::ComputeNormals() now averages normal considering triangle size.
(0068688)
git (administrator)
2017-07-25 18:16

Branch CR28945 has been updated forcibly by kgv.

SHA-1: e0e6791bc59678658e7c783ec794dbc1c3855e0f
(0068697)
kgv (developer)
2017-07-25 19:11

Patch is ready for review.

http://occt-tests/CR28945-master-KGV-OCCT [^]
(0068715)
apl (developer)
2017-07-26 12:32

Dear bugmaster,

Please test the patch.
(0068759)
mkv (tester)
2017-07-26 20:01

Dear BugMaster,
Branch CR28945 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e0e6791bc59678658e7c783ec794dbc1c3855e0f

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 8 (8 on master)
Windows: 0 (0 on master)
MacOS : 2 (2 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total CPU difference: 19313.229999999945 / 19421.550000000127 [-0.56%]
Total MEMORY difference: 93576394 / 92009889 [+1.70%]
products component :
Total CPU difference: 6481.210000000044 / 6527.870000000079 [-0.71%]
Total MEMORY difference: 38183552 / 38296461 [-0.29%]
Testing on Windows:
occt component :
Total CPU difference: 18771.475529198702 / 17810.05696629893 [+5.40%]
Total MEMORY difference: 59117354 / 59120758 [-0.01%]
products component :
Total CPU difference: 6685.516455599954 / 6662.319106899978 [+0.35%]
Total MEMORY difference: 29050966 / 28992682 [+0.20%]

There are no differences in images found by testdiff.
(0068760)
mkv (tester)
2017-07-26 20:02

Dear BugMaster,
Branch CR28945 from occt git-repository is TESTED.
(0068961)
git (administrator)
2017-07-31 17:46

Branch CR28945 has been deleted by kgv.

SHA-1: e0e6791bc59678658e7c783ec794dbc1c3855e0f

- Related Changesets
occt: master dc2cc135
Timestamp: 2017-07-25 12:49:53
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028945: Visualization - StdPrs_ToolTriangulatedShape::ComputeNormals() is extremely slow for triangulation-only surface

StdPrs_ToolTriangulatedShape::ComputeNormals() now calls Poly::ComputeNormals() for triangulation-only surfaces.
Poly::ComputeNormals() now averages normal considering triangle size.
mod - src/Poly/Poly.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-25 10:41 kgv New Issue
2017-07-25 10:41 kgv Assigned To => kgv
2017-07-25 15:51 git Note Added: 0068679
2017-07-25 16:13 kgv Relationship added related to 0028630
2017-07-25 18:16 git Note Added: 0068688
2017-07-25 19:11 kgv Note Added: 0068697
2017-07-25 19:11 kgv Assigned To kgv => apl
2017-07-25 19:11 kgv Status new => resolved
2017-07-25 19:11 kgv Target Version 7.3.0 => 7.2.0
2017-07-26 12:32 apl Note Added: 0068715
2017-07-26 12:32 apl Assigned To apl => bugmaster
2017-07-26 12:32 apl Status resolved => reviewed
2017-07-26 12:36 mkv Assigned To bugmaster => mkv
2017-07-26 20:01 mkv Note Added: 0068759
2017-07-26 20:02 mkv Note Added: 0068760
2017-07-26 20:02 mkv Assigned To mkv => bugmaster
2017-07-26 20:02 mkv Status reviewed => tested
2017-07-26 20:02 mkv Test case number => Not needed
2017-07-28 17:18 bugmaster Changeset attached => occt master dc2cc135
2017-07-28 17:18 bugmaster Status tested => verified
2017-07-28 17:18 bugmaster Resolution open => fixed
2017-07-31 17:46 git Note Added: 0068961
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker